PLplot: XwDisplay Struct Reference

PLplot 5.15.0

Public Attributes | List of all members
XwDisplay Struct Reference

`#include "plxwd.h"`

## Public Attributes
int | nstreams
int | ixwd
char * | displayName
int | screen
Display * | display
Visual * | visual
GC | gcXor
Colormap | map
unsigned | depth
int | color
int | ncol0
int | ncol0_alloc
int | ncol1
int | ncol1_alloc
XColor * | cmap0
XColor * | cmap1
XColor | fgcolor
Cursor | xhair_cursor
int | rw_cmap

## Detailed Description

Definition at line 42 of file plxwd.h.

## Member Data Documentation

## ◆ cmap0

XColor* XwDisplay::cmap0

Definition at line 58 of file plxwd.h.

## ◆ cmap1

XColor* XwDisplay::cmap1

Definition at line 59 of file plxwd.h.

## ◆ color

int XwDisplay::color

Definition at line 53 of file plxwd.h.

## ◆ depth

unsigned XwDisplay::depth

Definition at line 52 of file plxwd.h.

## ◆ display

Display* XwDisplay::display

Definition at line 48 of file plxwd.h.

## ◆ displayName

char* XwDisplay::displayName

Definition at line 46 of file plxwd.h.

## ◆ fgcolor

XColor XwDisplay::fgcolor

Definition at line 60 of file plxwd.h.

## ◆ gcXor

GC XwDisplay::gcXor

Definition at line 50 of file plxwd.h.

## ◆ ixwd

int XwDisplay::ixwd

Definition at line 45 of file plxwd.h.

## ◆ map

Colormap XwDisplay::map

Definition at line 51 of file plxwd.h.

## ◆ ncol0

int XwDisplay::ncol0

Definition at line 54 of file plxwd.h.

## ◆ ncol0_alloc

int XwDisplay::ncol0_alloc

Definition at line 55 of file plxwd.h.

## ◆ ncol1

int XwDisplay::ncol1

Definition at line 56 of file plxwd.h.

## ◆ ncol1_alloc

int XwDisplay::ncol1_alloc

Definition at line 57 of file plxwd.h.

## ◆ nstreams

int XwDisplay::nstreams

Definition at line 44 of file plxwd.h.

## ◆ rw_cmap

int XwDisplay::rw_cmap

Definition at line 62 of file plxwd.h.

## ◆ screen

int XwDisplay::screen

Definition at line 47 of file plxwd.h.

## ◆ visual

Visual* XwDisplay::visual

Definition at line 49 of file plxwd.h.

## ◆ xhair_cursor

Cursor XwDisplay::xhair_cursor

Definition at line 61 of file plxwd.h.

The documentation for this struct was generated from the following file:

- plxwd.h